<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="newRow()" class="btn btn-primary">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button type="button" class="btn btn-success ml-1" (click)="guardar()" [disabled]="ngForm.invalid">
    <i class="fa fa-save mr-2"></i>Guardar
  </button>
  <button class="btn btn-danger ml-1" [disabled]="!flagEdit" (click)="eliminar()">
    <i class="fas fa-trash-alt mr-2"></i>Eliminar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="form-group col-4 col-md-3 col-lg-1">
          <label class="w-100">Tarifa</label>
          <div class="input-group">
            <input type="number" class="form-control" formControlName="Tarifa" min="0" max="99"
            [readonly]="flagEdit">
          </div>
        </div>
        <div class="form-group col-sm-6 col-md-5 col-lg-4">
          <label>Descripción</label>
          <input type="text" formControlName="Descripcion" class="form-control" maxlength="30">
        </div>
        <div class="form-group col-4 col-md-3 col-lg-2">
          <label class="w-100">Costo</label>
          <div class="input-group">
            <input type="number" class="form-control" formControlName="Costo" min="0" max="999999">
          </div>
        </div>
        <div class="form-group col-4 col-md-3 col-lg-2">
          <label class="w-100"></label>
          <input type="checkbox" id="CostoxMinuto" class="k-checkbox mt-2" formControlName="CostoxMinuto">
          <label class="k-checkbox-label w-100 mt-2" for="CostoxMinuto">Por Minuto</label>
        </div>
        <div class="form-group col-6 col-md-4 col-lg-3">
          <label class="w-100">Moneda</label>
          <div class="input-group">
            <kendo-combobox [data]="listMoneda" [textField]="'mdesc'" [valueField]="'Moneda'"
              [placeholder]="'Seleccionar Moneda'" class="form-control" formControlName="Moneda"
              [valuePrimitive]="true">
            </kendo-combobox>
          </div>
        </div>
      </div>

      <div class="divider"></div>

      <div class="row">
        <div class="col-4 col-md-3 col-lg-2">
          <label class="w-100"></label>
          <label class="w-100 mt-1">Administrativa</label>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <label class="w-100">Cargo</label>
            <input type="number" min="0" max="999999"
            [(ngModel)]="ngForm.value.CargoSinImptos[0]"
              [ngModelOptions]="{standalone: true}" class="form-control">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <label class="w-100">Tiempo Mínimo</label>
            <input type="number" min="0" max="999" pattern="[0-9]*" [(ngModel)]="ngForm.value.TiempoMinimo[0]"
              [ngModelOptions]="{standalone: true}" class="form-control">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <label class="w-100">Excedente</label>
            <input type="number" min="0" max="999999" pattern="[0-9]*"
            [(ngModel)]="ngForm.value.ExcedSinImptos[0]"
              [ngModelOptions]="{standalone: true}" class="form-control">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <label class="w-100">Por minuto</label>
            <label class="form-group col-4">
              <kendo-switch name="ExcedxMinutos" [(ngModel)]="ngForm.value.ExcedxMinutos[0]"
                [ngModelOptions]="{standalone: true}" [onLabel]="'Si'" [offLabel]="'No'">
              </kendo-switch>
            </label>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-4 col-md-3 col-lg-2">
          <label class="w-100 mt-1">Huésped</label>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.CargoSinImptos[1]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.TiempoMinimo[1]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.ExcedSinImptos[1]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <label class="form-group col-4">
              <kendo-switch name="ExcedxMinutos" [(ngModel)]="ngForm.value.ExcedxMinutos[1]"
                [ngModelOptions]="{standalone: true}" [onLabel]="'Si'" [offLabel]="'No'">
              </kendo-switch>
            </label>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-4 col-md-3 col-lg-2">
          <label class="w-100 mt-1">Concesionario</label>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.CargoSinImptos[2]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.TiempoMinimo[2]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.ExcedSinImptos[2]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <label class="form-group col-4">
              <kendo-switch name="ExcedxMinutos" [(ngModel)]="ngForm.value.ExcedxMinutos[2]"
                [ngModelOptions]="{standalone: true}" [onLabel]="'Si'" [offLabel]="'No'">
              </kendo-switch>
            </label>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-4 col-md-3 col-lg-2">
          <label class="w-100 mt-1">Personal</label>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.CargoSinImptos[3]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.TiempoMinimo[3]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.ExcedSinImptos[3]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <label class="form-group col-4">
              <kendo-switch name="ExcedxMinutos" [(ngModel)]="ngForm.value.ExcedxMinutos[3]"
                [ngModelOptions]="{standalone: true}" [onLabel]="'Si'" [offLabel]="'No'">
              </kendo-switch>
            </label>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-4 col-md-3 col-lg-2">
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.CargoSinImptos[4]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.TiempoMinimo[4]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.ExcedSinImptos[4]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <label class="form-group col-4">
              <kendo-switch name="ExcedxMinutos" [(ngModel)]="ngForm.value.ExcedxMinutos[4]"
                [ngModelOptions]="{standalone: true}" [onLabel]="'Si'" [offLabel]="'No'">
              </kendo-switch>
            </label>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-4 col-md-3 col-lg-2">
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.CargoSinImptos[5]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.TiempoMinimo[5]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.ExcedSinImptos[5]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-4 col-md-3 col-lg-2">
          <div class="form-group">
            <label class="form-group col-4">
              <kendo-switch name="ExcedxMinutos" [(ngModel)]="ngForm.value.ExcedxMinutos[5]"
                [ngModelOptions]="{standalone: true}" [onLabel]="'Si'" [offLabel]="'No'">
              </kendo-switch>
            </label>
          </div>
        </div>
      </div>
    </form>

    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [filter]="filter" filterable="menu" [navigable]="true"
      [reorderable]="true" [resizable]="true" [sortable]="true" (selectionChange)="selectRow($event)"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 52vh;"
      *ngIf="!loading">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="Tarifa" title="Tarifa" width="70"></kendo-grid-column>
        <kendo-grid-column field="Descripcion" title="Descripción" width="250"></kendo-grid-column>
        <kendo-grid-column field="Costo" title="Costo" width="70" class="text-right">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Costo | currency:'MXN' }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="CostoxMinuto" title="Por Minuto" width="70">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{dataItem.CostoxMinuto ? 'Si' : 'No'}}
          </ng-template>
        </kendo-grid-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>
